import Vue from "vue";
import VueGtag from "vue-gtag"; // 谷歌统计
import { GTAG_ID } from "@/config";

if (process.env.NODE_ENV === "production" && !process.env.private) {
  Vue.use(VueGtag, {
    config: {
      id: GTAG_ID,
      params: {
        anonymize_ip: true,
        send_page_view: false,
      },
    },
  });
}
